# Show_Marker_XXX

## Functions

char | `HIC_Show_Marker_Symbol`
char * | `HIC_Show_Marker_Name`
float | `HIC_Show_Marker_Size`
float | `HIC_Show_Marker_Color_Red`
float | `HIC_Show_Marker_Color_Green`
float | `HIC_Show_Marker_Color_Blue`
float | `HIC_Show_Marker_Color_Alpha`
HIC_Integer32 | `HIC_Show_Internal_Marker_Color`
float | `HIC_Show_Marker_Contrast_Color_Red`
float | `HIC_Show_Marker_Contrast_Color_Green`
float | `HIC_Show_Marker_Contrast_Color_Blue`
HIC_Integer32 | `HIC_Show_Internal_Marker_Contrast_Color`
HIC_Point * | `HIC_Show_Marker_Position`
int | `HIC_Show_Marker_X_Size`
int | `HIC_Show_Marker_Y_Size`

## Detailed Description

group Show_Marker_XXX

## Function Documentation

char HIC_Show_Marker_Symbol(HIC_Rendition *nr)

  This function returns the marker symbol as a char.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A char.

char *HIC_Show_Marker_Name(HIC_Rendition *nr)

  This function returns the marker glyph name or symbol as a string.

  See also

  HIC_Show_Marker_Symbol

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A pointer to a const char.

float HIC_Show_Marker_Size(HIC_Rendition *nr)

  This function returns the marker size as a float value.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A float.

float HIC_Show_Marker_Color_Red(HIC_Rendition *nr)

  This function returns the red component of the marker color as a float value with a range 0 to 1.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A float.

float HIC_Show_Marker_Color_Green(HIC_Rendition *nr)

  This function returns the green component of the marker color as a float value with a range 0 to 1.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A float.

float HIC_Show_Marker_Color_Blue(HIC_Rendition *nr)

  This function returns the blue component of the marker color as a float value with a range 0 to 1.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A float.

float HIC_Show_Marker_Color_Alpha(HIC_Rendition *nr)

  This function returns the alpha component of the marker color as a float value with a range 0 to 1.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A float.

HIC_Integer32 HIC_Show_Internal_Marker_Color(HIC_Rendition *nr)
  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A HIC_Integer32.

float HIC_Show_Marker_Contrast_Color_Red(HIC_Rendition *nr)

  This function returns the red component of the marker contrast color as a float value with a range 0 to 1.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A float.

float HIC_Show_Marker_Contrast_Color_Green(HIC_Rendition *nr)

  This function returns the green component of the marker contrast color as a float value with a range 0 to 1.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A float.

float HIC_Show_Marker_Contrast_Color_Blue(HIC_Rendition *nr)

  This function returns the blue component of the marker contrast color as a float value with a range 0 to 1.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A float.

HIC_Integer32 HIC_Show_Internal_Marker_Contrast_Color(HIC_Rendition *nr)

  This function returns the internal representation of the marker contrast color.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A HIC_Integer32.

HIC_Point *HIC_Show_Marker_Position(HIC_Marker *marker)

  This function gets the position of a given marker.

  Parameters

    marker – A pointer to a const HIC_Marker.

  Returns

    A pointer to a const HIC_Point, given with respect to object coordinates.

int HIC_Show_Marker_X_Size(HIC_Rendition *nr)

  This function gets the marker x size;

  Parameters

    marker – A pointer to a const HIC_Rendition.

  Returns

    An int.

int HIC_Show_Marker_Y_Size(HIC_Rendition *nr)

  This function gets the marker y size;

  Parameters

    marker – A pointer to a const HIC_Rendition.

  Returns

    An int.